package cz.kebrt.unitcheck.junit.holder;

/**
 * Holds information about a stack trace element. Dual class to StackTraceElement.
 * Fields are accessed directly using names in the MJI peer class.
 * @author michal
 *
 */
@SuppressWarnings("unused")
public class StackTraceElementHolder {

    private final String className;
    private final String methodName;
    private final int lineNumber;
    private final String fileName;

    /**
     * Constructs an instance.
     * @param e Java stack trace element
     */
    public StackTraceElementHolder(StackTraceElement e) {
        className = e.getClassName();
        methodName = e.getMethodName();
        lineNumber = e.getLineNumber();
        fileName = e.getFileName();
    }

}
