package cz.kebrt.unitcheck.api.data;

/**
 * Describes a Java bytecode instruction.
 */
public class InstructionHolder {

    private String className;
    private String methodName;
    private String instructionName;

    /**
     * Constructs an instance.
     * @param className class in which the instruction appeared
     * @param methodName method in which the instruction appeared
     * @param instructionName name of the instruction
     */
    public InstructionHolder(String className, String methodName,
            String instructionName) {
        super();
        this.className = className;
        this.methodName = methodName;
        this.instructionName = instructionName;
    }

    /**
     * Returns class in which the instruction appeared.
     * @return class in which the instruction appeared
     */
    public String getClassName() {
        return className;
    }

    /**
     * Returns method in which the instruction appeared.
     * @return method in which the instruction appeared
     */
    public String getMethodName() {
        return methodName;
    }

    /**
     * Returns name of the instruction.
     * @return name of the instruction
     */
    public String getInstructionName() {
        return instructionName;
    }

}
