package cz.kebrt.unitcheck.api.data;

/**
 * Describes a test method being checked.
 */
public class TestMethod {

    private final String className;
    private final String methodName;

    /**
     * Constructs an instance.
     *
     * @param testClassName name of the test class
     * @param testMethodName name of the test method
     */
    public TestMethod(String testClassName, String testMethodName) {
        super();
        this.className = testClassName;
        this.methodName = testMethodName;
    }

    /**
     * Returns name of the test class.
     *
     * @return name of the test class
     */
    public String getClassName() {
        return className;
    }

    /**
     * Returns name of the test method.
     *
     * @return name of the test method
     */
    public String getMethodName() {
        return methodName;
    }

}
